Xerces-J API: Class DatatypeMessages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.msg
Class DatatypeMessages

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--org.apache.xerces.msg.DatatypeMessages

public class DatatypeMessages
extends java.util.ListResourceBundle

This file contains error and warning messages for the schema datatype validator The messages are arranged in key and value tuples in a ListResourceBundle.

Version:

Field Summary
`static java.lang.Object[][]` | `CONTENTS` The list resource bundle contents.

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`DatatypeMessages()`

Method Summary
`java.lang.Object[][]` | `getContents()` Returns the list resource bundle contents.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENTS

    public static final java.lang.Object[][] CONTENTS

  The list resource bundle contents.

Constructor Detail

### DatatypeMessages

    public DatatypeMessages()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Returns the list resource bundle contents.
  Overrides:
    getContents in class java.util.ListResourceBundle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.